/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.VIsDepartment;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VIsDepartmentRecord extends TableRecordImpl<VIsDepartmentRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_is_department.key_element</code>.
     */
    public void setKeyElement(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_is_department.key_element</code>.
     */
    public Integer getKeyElement() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.v_is_department.dn</code>.
     */
    public void setDn(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_is_department.dn</code>.
     */
    public String getDn() {
        return (String) get(1);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VIsDepartmentRecord
     */
    public VIsDepartmentRecord() {
        super(VIsDepartment.V_IS_DEPARTMENT);
    }

    /**
     * Create a detached, initialised VIsDepartmentRecord
     */
    public VIsDepartmentRecord(Integer keyElement, String dn) {
        super(VIsDepartment.V_IS_DEPARTMENT);

        setKeyElement(keyElement);
        setDn(dn);
        resetChangedOnNotNull();
    }
}
